import { name } from "./package.js";
import { createLogger, injectionHelper } from "lognow";
//#region src/lib/log.ts
/**
* The default logger instance for the library.
*/
let log = createLogger({
	logToConsole: { showTime: false },
	name
});
/**
* Set the logger instance for the module.
* Export this for library consumers to inject their own logger.
* @param logger - Accepts either a LogLayer instance or a Console- or Stream-like log target
*/
function setLogger(logger) {
	log = injectionHelper(logger);
}
//#endregion
export { log, setLogger };
